Update project schema
PUT
/api/v2026-01/projects/{projectId}/schema
const url = 'https://api.zstrike.io/api/v2026-01/projects/example/schema';const options = { method: 'PUT', headers: { 'x-op-id': 'example', 'x-session-id': 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"description":"example","schema":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.zstrike.io/api/v2026-01/projects/example/schema \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'x-op-id: example' \ --header 'x-session-id: example' \ --data '{ "description": "example", "schema": {} }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string
Project ID
Header Parameters
Section titled “Header Parameters”x-op-id
required
string
Operation ID
x-session-id
required
string
Session ID
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
description
required
string
schema
required
object
Examplegenerated
{ "description": "example", "schema": {}}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
string
description
string
success
boolean
data
object
timestamp
string format: date-time
Example
{ "code": "S200", "description": "Operation Successful", "success": true, "data": { "key": "value" }}Bad Request
Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time
Example
{ "code": "E400", "description": "Bad Request", "success": false, "errors": [ "Error Message 1", "Error Message 2" ], "op_id": "op_example"}Unauthorized
Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time
Example
{ "code": "E401", "description": "Unauthorized", "success": false, "errors": [ "Unauthorized" ], "op_id": "op_example"}Forbidden
Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time
Example
{ "code": "E403", "description": "Forbidden", "success": false, "errors": [ "Forbidden" ], "op_id": "op_example"}Not Found
Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time
Example
{ "code": "E404", "description": "Not Found", "success": false, "errors": [ "Not Found" ], "op_id": "op_example"}Internal Server Error
Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time
Example
{ "code": "E500", "description": "Internal Server Error", "success": false, "errors": [ "Internal Server Error" ]}